<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:context="http://www.springframework.org/schema/context" xmlns:util="http://www.springframework.org/schema/util"
    xmlns:cxf="http://cxf.apache.org/core" xmlns:jaxrs="http://cxf.apache.org/jaxrs" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
                        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd
                        http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
                        http://cxf.apache.org/jaxrs http://cxf.apache.org/schemas/jaxrs.xsd">

    <import resource="classpath:META-INF/cxf/cxf.xml" />
    <import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

<!--     <cxf:bus> -->
<!--         <cxf:features> -->
<!--             <cxf:logging /> -->
<!--         </cxf:features> -->
<!--     </cxf:bus> -->

    <bean id="feedbackRest" class="fr.ge.feedback.ws.v1.service.impl.FeedbackRestServiceImpl" />
    <bean id="feedbackPrivateRest" class="fr.ge.feedback.ws.v1.service.impl.FeedbackPrivateRestServiceImpl" />

    <jaxrs:server id="restServer" address="/">
        <jaxrs:serviceBeans>
            <ref bean="feedbackRest" />
            <ref bean="feedbackPrivateRest" />
        </jaxrs:serviceBeans>
        <jaxrs:providers>
            <bean class="org.apache.cxf.rs.security.cors.CrossOriginResourceSharingFilter" />
            <bean class="com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider" />
        </jaxrs:providers>
        <jaxrs:features>
            <bean class="org.apache.cxf.jaxrs.swagger.Swagger2Feature">
                <property name="title" value="GE Feedback REST Server" />
                <property name="description" value="" />
                <property name="contact" value="Team R&amp;D GE" />
                <property name="prettyPrint" value="true" />
<!--                 <property name="usePathBasedConfig" value="true" /> -->
                <property name="scan" value="true" />
            </bean>
        </jaxrs:features>
    </jaxrs:server>

</beans>